Get conversion
curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/conversions/{conversion_id} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/conversions/{conversion_id}"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/conversions/{conversion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "EUR autoramp to Polygon vault",
"from": {
"symbol": "EUR",
"type": "bank",
"bank_account": {
"via": "sepa",
"iban": "DE89370400440532013000",
"bic": "COBADEFFXXX",
"payee_name": "Delta Commerce B.V.",
"bank_address": "Borschestraat 12, Amsterdam",
"payee_address": "71 Sir John Rogerson's Quay, Dublin, D02 R296, Ireland"
}
},
"to": {
"symbol": "USDC",
"type": "wallet",
"wallet": {
"via": "polygon",
"address": "0x1234567890abcdef1234567890abcdef12345678"
}
},
"status": "active",
"created_at": "2026-05-25T10:30:00Z",
"updated_at": "2026-05-25T10:30:00Z"
}
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 404,
"instance": "<string>",
"code": "not_found",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 501,
"instance": "<string>",
"code": "unimplemented",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}Conversions
Get conversion
Retrieves the current state of a previously created conversion.
GET
/
v1
/
accounts
/
{account_id}
/
conversions
/
{conversion_id}
Get conversion
Authorizations
Your public API key. Identifies the partner making the request.
Monotonically increasing nonce included in the request signature.
HMAC signature over the request, computed with your private key.
Path Parameters
Internet International Bank Account Number identifying the PWS account the conversion belongs to.
Required string length:
14 - 42Conversion identifier.
Response
Successful response
The requested conversion.
Show child attributes
Show child attributes
⌘I